﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pointToIndex
{
    public class OrderInfo :INotifyPropertyChanged
    {
        public OrderInfo()
        {

        }
        private int orderID;
        private string customerID;
        private string freight;
        private string country;

        public int OrderID
        {
            get { return orderID; }
            set
            {
                this.orderID = value;
                RaisePropertyChanged("OrderID");
            }
        }

        public string CustomerID
        {
            get { return customerID; }
            set
            {
                this.customerID = value;
                RaisePropertyChanged("CustomerID");
            }
        }

        public string Freight
        {
            get { return freight; }
            set
            {
                this.freight = value;
                RaisePropertyChanged("Freight");
            }
        }

        public string Country
        {
            get { return country; }
            set
            {
                this.country = value;
                RaisePropertyChanged("Country");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }
    }
}
